<template>
  <ul>
    <li v-for="(icon, index) in icons" :key="index">
      <sa-icon :icon="icon" size="3" />
      <span class="text">{{ icon }}</span>
    </li>
  </ul>
</template>

<script>
export default {
  data() {
    return {
      icons: [
        'alert-triangle',
        'calendar',
        'check',
        'check-circle',
        'chevron-down',
        'chevron-left',
        'chevron-right',
        'chevron-up',
        'clock',
        'code',
        'copy',
        'download',
        'edit',
        'external-link',
        'facebook',
        'file',
        'flag',
        'folder',
        'help-circle',
        'home',
        'inbox',
        'info',
        'instagram',
        'link',
        'loader',
        'mail',
        'map-pin',
        'menu',
        'minus',
        'paperclip',
        'phone',
        'plus',
        'rotate-cw',
        'save',
        'search',
        'settings',
        'star',
        'tag',
        'trash',
        'twitter',
        'upload',
        'user',
        'users',
        'x',
        'x-circle'
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
ul {
  margin-top: spacing(1);
  list-style: none;
}
li {
  display: inline-block;
  width: 10rem;
  margin: spacing(0);
  padding: spacing(2) 0;
  border: border(grey-light);
  border-radius: $border-radius;
  text-align: center;
}
.text {
  display: block;
}
</style>
